import { Base, Nullable$1, Type } from "igniteui-angular-core";
import { XmlPartManagerBase } from "./XmlPartManagerBase";
/**
 * @hidden
 */
export declare class CT_PivotHierarchy_SML2009 extends Base {
    static $t: Type;
    private c;
    constructor();
    b: Nullable$1<boolean>;
    static d(a: XmlPartManagerBase, b: Nullable$1<boolean>): {
        p1: Nullable$1<boolean>;
    };
    static e(a: XmlPartManagerBase, b: string, c?: Nullable$1<boolean>): void;
}
